Closed Bug 359940 Opened 15 years ago Closed 15 years ago

Firefox dont check for auth proxy before download an extension update

Categories

(Toolkit :: Add-ons Manager, defect)

x86
Windows 2000
defect
Not set
minor

Tracking

()

RESOLVED DUPLICATE of bug 312473

People

(Reporter: gukrug, Unassigned)

Details

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; pt-BR; rv:1.8.1) Gecko/20061010 Firefox/2.0
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; pt-BR; rv:1.8.1) Gecko/20061010 Firefox/2.0

I am under a proxy-cache-server that require user and password, when firefox detect an update for any extension, it asks for update it before firefox opens properly, if you click for "update now" (or something like this), it returns a fail telling that could not download the requested update, but, it not request a user and a password for the proxy to connect to the internet, i think its the problem, only firefox need is ask for the auth of proxy before try to download an updated extension.

Reproducible: Always

Steps to Reproduce:
1.You need be under a proxy server that require user and password, and a out of date extension.
2.Close firefox 2.0, open it again, and a window will open telling that you have an update for an extension.
3.Click to update, and you will receive a error message telling that the extension could not be downloaded (it do not ask for proxy auth).

Actual Results:  
Same problem ocurred again. I received a message telling that firefox could not download the requested updated extension.

Expected Results:  
It should download and install the updated extension (asking for a proxy auth before trying to download an extension update).

Its not a real problem, because after i receive the notification of a new extension, i can update it manualy (after proxy auth be requested), so i think its solution is only request the proxy auth before trying to download the extension update.

*** This bug has been marked as a duplicate of 312473 ***
Status: UNCONFIRMED → RESOLVED
Closed: 15 years ago
Resolution: --- → DUPLICATE
Bug 312473 is talking about HTTP auth, whereas this one is talking about proxy auth.  Are you sure they're the same Nick?
Mikel, that's true but I was taking bug 312473 as a generic "extension update doesn't cope with any type of auth request". There are also several other bugs about proxy auth already duped to that.
Product: Firefox → Toolkit
You need to log in before you can comment on or make changes to this bug.